Discover Government News



# Security update for the Linux Kernel RT (Live Patch 7 for SLE 15 SP5)

Announcement ID: SUSE-SU-2024:0620-1  
Rating: important  
References:

  * bsc#1218733

  
Cross-References:

  * CVE-2023-51780

  
CVSS scores:

  * CVE-2023-51780 ( SUSE ):  7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-51780 ( NVD ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

  
Affected Products:

  * openSUSE Leap 15.5
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise Live Patching 15-SP5
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for the Linux Kernel 5.14.21-150500_13_24 fixes one issue.

The following security issue was fixed:

  * CVE-2023-51780: Fixed a use-after-free in do_vcc_ioctl in net/atm/ioctl.c,
    because of a vcc_recvmsg race condition (bsc#1218733).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch SUSE-2024-620=1 SUSE-2024-621=1

  * SUSE Linux Enterprise Live Patching 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP5-2024-620=1 SUSE-SLE-
Module-Live-Patching-15-SP5-2024-621=1

## Package List:

  * openSUSE Leap 15.5 (x86_64)
    * kernel-livepatch-5_14_21-150500_13_24-rt-4-150500.2.1
    * kernel-livepatch-5_14_21-150500_13_21-rt-4-150500.2.1
    * kernel-livepatch-SLE15-SP5-RT_Update_6-debugsource-4-150500.2.1
    * kernel-livepatch-5_14_21-150500_13_24-rt-debuginfo-4-150500.2.1
    * kernel-livepatch-SLE15-SP5-RT_Update_7-debugsource-4-150500.2.1
    * kernel-livepatch-5_14_21-150500_13_21-rt-debuginfo-4-150500.2.1
  * SUSE Linux Enterprise Live Patching 15-SP5 (x86_64)
    * kernel-livepatch-5_14_21-150500_13_24-rt-4-150500.2.1
    * kernel-livepatch-5_14_21-150500_13_21-rt-4-150500.2.1
    * kernel-livepatch-SLE15-SP5-RT_Update_6-debugsource-4-150500.2.1
    * kernel-livepatch-5_14_21-150500_13_24-rt-debuginfo-4-150500.2.1
    * kernel-livepatch-SLE15-SP5-RT_Update_7-debugsource-4-150500.2.1
    * kernel-livepatch-5_14_21-150500_13_21-rt-debuginfo-4-150500.2.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-51780.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1218733

SUSE: 2024:0620-1 important: the Linux Kernel RT (Live Patch 7 for SLE

February 26, 2024
* bsc#1218733 Cross-References: * CVE-2023-51780

Summary

## This update for the Linux Kernel 5.14.21-150500_13_24 fixes one issue. The following security issue was fixed: * CVE-2023-51780: Fixed a use-after-free in do_vcc_ioctl in net/atm/ioctl.c, because of a vcc_recvmsg race condition (bsc#1218733). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch SUSE-2024-620=1 SUSE-2024-621=1 * SUSE Linux Enterprise Live Patching 15-SP5 zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP5-2024-620=1 SUSE-SLE- Module-Live-Patching-15-SP5-2024-621=1 ## Package List: * openSUSE Leap 15.5 (x86_64) * kernel-livepatch-5_14_21-150500_13_24-rt-4-150500.2.1 * kernel-livepatch-5_14_21-150500_13_21-rt-4-150500.2.1 * kernel-livepatch-SLE15-SP5-RT_Update_6-debugsource-4-150500.2.1 * kernel-livepatch-5_14_21-150500_13_24-rt-debuginfo-4-150500.2.1 * kernel-livepatch-SLE15-SP5-RT_Update_7-debugsource-4-150500.2.1 * kernel-livepatch-5_14_21-150500_13_21-rt-debuginfo-4-150500.2.1 * SUSE Linux Enterprise Live Patching 15-SP5 (x86_64) * kernel-livepatch-5_14_21-150500_13_24-rt-4-150500.2.1 * kernel-livepatch-5_14_21-150500_13_21-rt-4-150500.2.1 * kernel-livepatch-SLE15-SP5-RT_Update_6-debugsource-4-150500.2.1 * kernel-livepatch-5_14_21-150500_13_24-rt-debuginfo-4-150500.2.1 * kernel-livepatch-SLE15-SP5-RT_Update_7-debugsource-4-150500.2.1 * kernel-livepatch-5_14_21-150500_13_21-rt-debuginfo-4-150500.2.1

References

* bsc#1218733

Cross-

* CVE-2023-51780

CVSS scores:

* CVE-2023-51780 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-51780 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* openSUSE Leap 15.5

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise Live Patching 15-SP5

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-51780.html

* https://bugzilla.suse.com/show_bug.cgi?id=1218733

Severity
Announcement ID: SUSE-SU-2024:0620-1
Rating: important

Related News